diff --git a/package/mac80211/files/lib/wifi/mac80211.sh b/package/mac80211/files/lib/wifi/mac80211.sh
index ca38805f7ad5e0b965bb753cb8987cbdcfb905fc..cd03b3082c2f4bbf03436e1d4cf7f9d823ec8868 100644
--- a/package/mac80211/files/lib/wifi/mac80211.sh
+++ b/package/mac80211/files/lib/wifi/mac80211.sh
@@ -408,7 +408,7 @@ enable_mac80211() {
 		start_hostapd=1
 	done
 
-	[ -n "$start_hostapd" ] || return
+	[ -n "$start_hostapd" ] || return 0
 
 	hostapd -P /var/run/wifi-$phy.pid -B /var/run/hostapd-$phy.conf || {
 		echo "Failed to start hostapd for $phy"